Versions Compared

Key

  • This line was added.
  • This line was removed.
  • Formatting was changed.

...

Include Page
Include - Plugin Installation
Include - Plugin Installation

Usage

Prerequisites

  • Dell (was previously Quest Software) Toad 9.5 or higher with the CodeXpert module (included into in Toad for Oracle Xpert, Toad for Oracle Professional, and Toad Development Suite for Oracle).
  • A connection to an Oracle database if you use Toad 9.x or 10.x. This It is a limitation of Toad that it needs to be connected to the database even if it the connection is not used by the CodeXpert module. So you can set a “fake” connection to an empty database.

...

Activate some rules from Toad CodeXpert in your project quality profile and run an analysis of your project.

SonarQubeautomatically SonarQube automatically configures and launches Toad CodeXpert to check your code against the Toad CodeXpert's rules.

Troubleshooting

A major issue of using with this plugin comes from the fact that Toad can not be kicked of by a process that runs as a windows Windows service. This issue is due to be fixed in Toad 12.

...